summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Tim Dickson2018-12-29 00:02:19 +0100
committer Willy Sudiarto Raharjo2018-12-29 00:02:19 +0100
commit6cd785ec13f654c48381109277d0a60abaa33dbf (patch)
tree58cbf33f2b4caa2a3fad26a5679e41eb51266e6b /games
parent6e66995925cbfe3624284ff926a22f84f192e853 (diff)
downloadslackbuilds-6cd785ec13f654c48381109277d0a60abaa33dbf.tar.gz
games/tbftss: Added (The Battle For The Solar System).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/tbftss/README6
-rw-r--r--games/tbftss/doinst.sh13
-rw-r--r--games/tbftss/slack-desc19
-rw-r--r--games/tbftss/tbftss.SlackBuild74
-rw-r--r--games/tbftss/tbftss.info10
5 files changed, 122 insertions, 0 deletions
diff --git a/games/tbftss/README b/games/tbftss/README
new file mode 100644
index 0000000000..c9512e057c
--- /dev/null
+++ b/games/tbftss/README
@@ -0,0 +1,6 @@
+the Battle For The Solar Sytem - The Pandoran War
+The Pandoran War is a 2D mission-based space shooter, set between
+THE THIRD SIDE and THE ATTTRIBUTE OF THE STRONG in the book trilogy
+"Battle For The Solar System." writen by Stephen J. Sweeney. The game
+features over 50 individual missions, with many different objectives
+and craft to pilot. Minimum in-game resolution is 1280x720
diff --git a/games/tbftss/doinst.sh b/games/tbftss/doinst.sh
new file mode 100644
index 0000000000..3ceb7eae8d
--- /dev/null
+++ b/games/tbftss/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e /usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -x /usr/bin/kbuildsycoca4 ]; then
+ /usr/bin/kbuildsycoca4 >/dev/null 2>&1
+fi
diff --git a/games/tbftss/slack-desc b/games/tbftss/slack-desc
new file mode 100644
index 0000000000..cc0c3b6b13
--- /dev/null
+++ b/games/tbftss/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tbftss: tbftss (The Battle For The Solar System - The Pandoran War)
+tbftss:
+tbftss: The Pandoran War is a 2D mission-based space shooter, set between
+tbftss: "The Third Side" and "The Atribute of the Strong" in the book
+tbftss: trilogy "Battle for the Solar Sytem." writen by Stephen J. Sweeney.
+tbftss: The game features over 50 individual missionsm with many different
+tbftss: objectives and craft to pilot. See the website for detalis.
+tbftss:
+tbftss:
+tbftss:
+tbftss: https://www.battleforthesolarsystem.com/games/pw/
diff --git a/games/tbftss/tbftss.SlackBuild b/games/tbftss/tbftss.SlackBuild
new file mode 100644
index 0000000000..3185110c73
--- /dev/null
+++ b/games/tbftss/tbftss.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+# Slackware build script for tbftss pandoran war
+# (the battle for the solar systme - pandoran war)
+# Written by Tim Dickson dickson.tim at googlemail.com
+
+# changelog
+
+# 28/12/2018 - first release
+# in progress
+# doc location still changed to support slackware prefered location
+
+PRGNAM=tbftss
+VERSION=${VERSION:-1.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+#new make file uses automake.
+CFLAGS="$SLKFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# Add the build script to the package docs
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp README.md CHANGELOG LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/tbftss/tbftss.info b/games/tbftss/tbftss.info
new file mode 100644
index 0000000000..db0cf7e194
--- /dev/null
+++ b/games/tbftss/tbftss.info
@@ -0,0 +1,10 @@
+PRGNAM="tbftss"
+VERSION="1.5.0"
+HOMEPAGE="https://www.battleforthesolarsystem.com/games/pw/"
+DOWNLOAD="https://www.battleforthesolarsystem.com/downloads/tbftss-1.5.0.src.tar.gz"
+MD5SUM="6a7db5fc702d4a31679271c2f778d4ffs"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="SDL2_image SDL2_mixer SDL2_ttf"
+MAINTAINER="Tim Dickson"
+EMAIL="dickson.tim@googlemail.com"